.search {
  padding: var(--margin);
  padding-top: 0;

  display: grid; /* To center the empty fallback. */
  flex: 1;
}

/* On mobile, header is fixed at the top. */
.header {
  position: fixed;
  left: var(--margin);
  right: var(--margin);

  z-index: 1;

  transition: margin-top var(--transition-duration);
}

.header.highlight {
  margin-top: var(--margin);
}

.header.highlight .input {
  box-shadow: var(--shadow-elevated);
  outline: var(--border-size) solid var(--color-secondary-h1);
}

@media (width >= 940px) {
  .header {
    display: none;
  }
}

@media (width < 940px) {
  .recipes {
    /* On mobile, move list down the height of the input plus margin to account for the fixed search field. */
    padding-top: calc(35px + var(--margin));
  }
}